madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000554madVRbugpublic2018-04-25 12:162018-09-18 16:07
ReporterKlaus1189 
Assigned Tomadshi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionno change required 
PlatformWindowsOSWindows 10 ProOS Version1709
Summary0000554: dropped frames just at start in D3D11, none in D3D9
DescriptionI also tried MPC-HC, similar, but even a bit worse.


I use MPC-BE, LAV Filters and madVR for playing files in fullscreen.

If I set madVR to D3D9, no frames are dropped/delayed or repeated,
but if I set it to D3D11, I will get some dropped/delayed or repeated frames just at the beginning, during playback it is fine.
Steps To ReproduceI have set MPC-BE:
- to launch files in fullscreen.
- to switch to the matching refresh rate (I know also madVR has this abilitiy, but for this scenario I need it in MPC-BE)

Then the delay time on the right to the refresh rate changer in MPC-BE must be set to 7 seconds or so, depends on the screen.

madVR is set up to "delay playback start until render queue is full"


------------------------------------------------------------
As an alternative I use MPC-BE to play the file "0" times, so the refresh rate change is done and after that I hit space to initiate playback.
If I use D3D11 and do it that way I don't get any dropped/delayed or repeated frames at all, not at start and also not during playback.
Additional InformationI need support.

It is a bit hard to set up all programs just like me, maybe a exported settings file of MPC-BE will help you to set it up just like me?
TagsNo tags attached.
madVR Version0.92.14
Media Player (with version info)MPC-BE 1.5.2 beta 3563
Splitter (with version info)LAVFilters 0.71.0-34
Decoder (with version info)LAVFilters 0.71.0-34
DecodingSoftware
Deinterlacingnone (progressive)
DXVA2 Scaling Activeyes
Aero / Desktop CompositionOff
Problem occurs with modeall modes
GPU ManufacturerAMD
GPU ModelRX480 8 GB
GPU Driver Version18.3.4
Attached Files

- Relationships

-  Notes
(0002379)
madshi (administrator)
2018-09-17 23:45

Dropped frames at the start of the movie are not nice, but not really a dramatic problem. Do you actually *see* the dropped frames? Or is it just the counter in the OSD you're worried about?

Usually the best approach is to let madVR switch the refresh rate/display mode, instead of MPC-BE. Have you tried that?
(0002387)
Klaus1189 (reporter)
2018-09-18 14:42

I saw often a framedrop in the first second (which was of course reported by stats of madVR) and I found the solution for it on my eqippment - I had to add more flushes of the GPU beside the default settings. It works like a charm now.

Do you plan to release new version this week?
(0002388)
madshi (administrator)
2018-09-18 15:12

So I can close this bug report?
(0002389)
Klaus1189 (reporter)
2018-09-18 15:36

Do you plan to release new version this week? :)

Yes, you can close it ;)
(0002390)
madshi (administrator)
2018-09-18 16:06

No comment. :)

- Issue History
Date Modified Username Field Change
2018-04-25 12:16 Klaus1189 New Issue
2018-09-17 23:45 madshi Note Added: 0002379
2018-09-17 23:45 madshi Assigned To => madshi
2018-09-17 23:45 madshi Status new => feedback
2018-09-18 14:42 Klaus1189 Note Added: 0002387
2018-09-18 14:42 Klaus1189 Status feedback => assigned
2018-09-18 15:12 madshi Note Added: 0002388
2018-09-18 15:12 madshi Status assigned => feedback
2018-09-18 15:36 Klaus1189 Note Added: 0002389
2018-09-18 15:36 Klaus1189 Status feedback => assigned
2018-09-18 16:06 madshi Note Added: 0002390
2018-09-18 16:07 madshi Status assigned => closed
2018-09-18 16:07 madshi Resolution open => no change required


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker